1. Features
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
        GET
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. Features

Feature List

GET
https://backend.networked.co/api/v1/admin/community/settings/features

🧩 Get Community Features#

HTTP Method:#

GET

Endpoint:#

/api/v1/admin/community/settings/features

Headers:#

KeyValue (example)Required
x-api-keyyour-api-key-here✅

Body Parameters:#

None

Sample Response:#

{
  "data": {
    "features": [
      {
        "id": "621f802dde73873a535b5984",
        "index": 5,
        "name": "Profiles",
        "description": "Tell people about yourself and learn about others by visiting their profiles.",
        "videoLink": "",
        "access": true,
        "default": true,
        "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/profile.svg",
        "image_white": "",
        "isAdvanced": false,
        "renamed": null
      }
    ]
  },
  "error": false,
  "message": "Operation completed successfully"
}

Response Interface:#

interface CommunityFeaturesResponse {
  data: {
    features: Feature[];
  };
  error: boolean;
  message: string;
}
interface Feature {
  id: string;
  index: number;
  name: string;
  description: string;
  videoLink: string;
  access: boolean;
  default: boolean;
  image: string;
  image_white: string;
  isAdvanced: boolean;
  renamed: string | null;
}

Response Field Descriptions:#

FieldTypeDescription
idstringUnique ID of the feature
indexnumberSort index/order of the feature
namestringName of the feature
descriptionstringShort explanation of what the feature offers
videoLinkstringOptional link to a feature explainer video
accessbooleanWhether this feature is enabled or accessible
defaultbooleanWhether this feature is part of the default community setup
imagestringLink to the icon/image associated with the feature
image_whitestringLink to the white-themed icon (if available)
isAdvancedbooleanMarks the feature as advanced (for additional settings or enterprise use)
renamedstringCustom name provided by the admin, if renamed

Reference:#

Refer to the sample code or admin dashboard UI logic to list enabled/disabled features dynamically within your community configuration page.

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/admin/community/settings/features' \
--header 'x-api-key: <your-api-key>'
Response Response Example
{
    "data": {
        "features": [
            {
                "id": "621f802dde73873a535b5984",
                "index": 5,
                "name": "Profiles",
                "description": "Tell people about yourself and learn about others by visiting their profiles.",
                "videoLink": "",
                "access": true,
                "default": true,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/profile.svg",
                "image_white": "",
                "isAdvanced": false,
                "renamed": null
            },
            {
                "id": "63b414cdd48e4ada0b08ef63",
                "index": 1,
                "name": "Native Mobile Apps (Apple and Android)",
                "description": "Networked is available on all devices, with native mobile apps included at no extra cost. Both Apple and Android.",
                "videoLink": "",
                "access": true,
                "default": true,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/nativemobileapps.svg",
                "image_white": "",
                "isAdvanced": false,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5985",
                "index": 28,
                "name": "Community Management",
                "description": "Community Settings is a core feature and can not be turned off. This feature makes it easy to brand, customize, and manage your community. Select your Features, create User Roles, set Privileges, establish Restrictions, and more.",
                "videoLink": "",
                "access": true,
                "default": true,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/communityman.svg",
                "image_white": "",
                "isAdvanced": true,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5980",
                "index": 27,
                "name": "Community URL (Log In and Sign Up)",
                "description": "Your Community URL is a link that should be added to your public website as a button. You can also add it to social media pages, email signatures, newsletters, and more. This makes it easy for current community participants to login and like a magnet it also  attracts new participants requesting to join.",
                "videoLink": "",
                "access": true,
                "default": true,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/communityurl.svg",
                "image_white": "",
                "isAdvanced": true,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5975",
                "index": 6,
                "name": "In-App Messaging",
                "description": "Send messages privately or in spaces. Across all devices. Push and pull notifications.",
                "videoLink": "",
                "access": true,
                "default": true,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/inappmessage.svg",
                "image_white": "",
                "isAdvanced": false,
                "category": 1,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5970",
                "index": 2,
                "name": "Feed",
                "description": "Share updates, see what others are saying, join the conversation.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/feed.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/buildings.png",
                "isAdvanced": false,
                "category": 1,
                "spaceCategory": 20,
                "renamed": "Home 🏠"
            },
            {
                "id": "621f802dde73873a535b5971",
                "index": 3,
                "name": "Directory",
                "description": "See who's in the community, search, send messages, build relationships.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/directory.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/document.png",
                "isAdvanced": false,
                "category": 1,
                "spaceCategory": 20,
                "renamed": "User Info Details"
            },
            {
                "id": "621f802dde73873a535b5973",
                "index": 4,
                "name": "Events",
                "description": "See upcoming and past events, see who’s going, RSVP, add to calendar. In-person, live, or webinars",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/events.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/celender.png",
                "isAdvanced": false,
                "category": 1,
                "spaceCategory": 20,
                "renamed": "Events New"
            },
            {
                "id": "621f802dde73873a535b5976",
                "index": 8,
                "name": "Media Center",
                "description": "Make information easily accessible. Add PDFs, PowerPoints, files, photos, and videos. Create Folders. Search.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/mediacenter.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/mediaspace.png",
                "isAdvanced": false,
                "category": 1,
                "spaceCategory": 21,
                "renamed": "Media Center New test Demo Build"
            },
            {
                "id": "621f802dde73873a535b597b",
                "index": 7,
                "name": "Spaces",
                "description": "Think of spaces as sub-communities or spaces within the main community. Organize people by interest, geography, teams, topics or something entirely different.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/spaces.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/Sub-communities-white.svg",
                "isAdvanced": false,
                "category": 1,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5977",
                "index": 12,
                "name": "Analytics",
                "description": "Access rich data and analytics to help you better manage your community. Gain insight into your most engaged users, see how your community grows over time, and understand engagement levels. Available to admin(s) only.",
                "videoLink": "",
                "access": false,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/analytics.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/Analytics-white.svg",
                "isAdvanced": true,
                "category": 1,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5974",
                "index": 13,
                "name": "Polls and Surveys",
                "description": "Drive engagement and crowdsource feedback with polls and surveys. People like to know their opinions matter. Turn this feature on to utilize polls and surveys.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/polls.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 1,
                "spaceCategory": 21,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5978",
                "index": 21,
                "name": "Career Opportunities",
                "description": "The Career Opportunities center makes it easy to share and learn about a wide range of career advancement opportunities. For example, jobs, internships, board roles, advisory roles. Set Privileges to control who can post/view career opportunities.",
                "videoLink": "https://www.loom.com/embed/2e2ac878df4e49568f5722e758e980df?sid=c0899b37-7196-42dd-8bf5-da95d4bb23d1",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/career.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/bussiness.png",
                "isAdvanced": true,
                "category": 1,
                "spaceCategory": 21,
                "renamed": "Career Opportunities New Test Career opportunity Test"
            },
            {
                "id": "621f802dde73873a535b5979",
                "index": 22,
                "name": "Company Directory and Services",
                "description": "Use this feature to showcase companies and organizations inside your community. Use it as a company directory. Showcase partners and sponsors. Or post about specific products and services. Set Privileges to control who can post/view companies and services",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/companydirectory.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/home.png",
                "isAdvanced": true,
                "category": 1,
                "spaceCategory": 21,
                "renamed": "Company Directory and Services Company Directory and Services"
            },
            {
                "id": "621f802dde73873a535b597a",
                "index": 23,
                "name": "Fundraising Initiatives",
                "description": "Share and learn about the various fundraising initiatives happening inside your community. Ideal for startups, investors, angel groups, nonprofits, and charitable causes. Set Privileges to control who can post/view fundraising initiatives.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/fundraising.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/finance.png",
                "isAdvanced": true,
                "category": 1,
                "spaceCategory": 21,
                "renamed": "Fundraising Initiatives Test demo Company Directory and Services"
            },
            {
                "id": "621f802dde73873a535b5972",
                "index": 24,
                "name": "Ask and Offer Help",
                "description": "This is one of our favorite features, designed to promote peer-to-peer networking. Make it easy for people to ask for help, advice, introductions, and more. This promotes relationship building and helps people get the most out of the community. Others can see what people are asking and offer their help.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/askoffer.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 1,
                "spaceCategory": 21,
                "renamed": null
            },
            {
                "id": "660ba14248f54325d975d981",
                "index": 32,
                "name": "Huddle",
                "description": "This feature offers live video conferencing technology, similar to Zoom, ideal for facilitating group meetings.",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/huddle.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/huddle-white.svg",
                "category": 1,
                "spaceCategory": 20,
                "renamed": null
            },
            {
                "id": "660ba14248f54325d975d982",
                "index": 33,
                "name": "Live",
                "description": "This features enable one or a few people to start a live video broadcast, allowing many others to watch and engage through interactive discussions, likes, and comments.",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/live.svg",
                "image_white": "https://common-assets-networked.s3.us-east-2.amazonaws.com/community-space-settings/live-white.svg",
                "category": 1,
                "spaceCategory": 20,
                "renamed": null
            },
            {
                "id": "63b414cdd48e4ada0b08ef64",
                "index": 9,
                "name": "Monetization",
                "description": "Generate one-time or re-occurring revenue with Networked. Totally flexible– charge fees to join the community, access specific benefits and content, set up re-occurring payments, or something totally different. ",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/monetization.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 1,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b596d",
                "index": 15,
                "name": "Community Welcome Message",
                "description": "This features makes it easy to greet new community participants with a customized welcome message. Turn this feature on if you want to include a welcome message.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/welcomemessage.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 2,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b596e",
                "index": 16,
                "name": "Community Guidelines and Expectations",
                "description": "Clearly communicate benefits, set expectations, establish dos and don’ts, or something different. This helps people understand what is expected and how to best leverage the community. Turn this feature on to include community guidelines and expectations.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/guideline.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 2,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b596f",
                "index": 17,
                "name": "Community Questions and Interests",
                "description": "This feature makes it easy to create a variety of questions for people to answer. For example, create a question about people’s hobbies or how they are willing to help community participants. This feature helps people meet other relevant people based on their responses.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/questioninterest.svg",
                "image_white": "https://common-assets-files.s3.us-east-2.amazonaws.com/featureIcons/Questions_white.svg",
                "isAdvanced": true,
                "category": 2,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5983",
                "index": 25,
                "name": "Community Feedback Center",
                "description": "Community Feedback creates a formal way for community participants to provide feedback. The feedback is private and visible only to the admin(s). Think of this feature as a valuable online suggestion box. ",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/feedbackcenter.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 2,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5982",
                "index": 11,
                "name": "Report Content",
                "description": "People in your community can report or hide inappropriate content. Reported content appears in your Content Moderation Center for Admin review. ",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/manualcontent.svg",
                "image_white": "",
                "isAdvanced": false,
                "category": 3,
                "spaceCategory": 22,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b5981",
                "index": 10,
                "name": "Automated Content Moderation",
                "description": "Networked automatically checks and reports inappropriate content, which gets sent to your Content Moderation Center for Admin review.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/autocontent.svg",
                "image_white": "",
                "isAdvanced": false,
                "category": 3,
                "spaceCategory": 22,
                "renamed": null
            },
            {
                "id": "6472269a2fb09d7c36dfba4f",
                "index": 29,
                "name": "Content Approval",
                "description": "People with access will have option to review the post before getting posted on feed page",
                "access": true,
                "default": true,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/content-approval.svg",
                "isAdvanced": true,
                "category": 3,
                "spaceCategory": 22,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b597c",
                "index": 18,
                "name": "Invitations",
                "description": "The Invitations feature makes it easy to invite people to join your community. Send a few or 1000s of invitations in seconds. Send invitations via email, link, or via our unique “Profile Builder & Invitation Tool.”",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/invitation.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 4,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b597e",
                "index": 19,
                "name": "Applications",
                "description": "This feature makes it easy for people to request to join the community. All incoming requests need to be reviewed and approved before sending an invitation. Turn this feature on if you want to receive requests to join your community.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/application.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 4,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b597d",
                "index": 20,
                "name": "Referrals",
                "description": "The Referrals feature makes it easy for people inside the community to refer others. All referrals need to be reviewed and approved before an invitation is sent. Turn this feature on if you want to include referrals.",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/referral.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 4,
                "renamed": null
            },
            {
                "id": "621f802dde73873a535b597f",
                "index": 26,
                "name": "Bulk Invite",
                "description": "The Profile Builder & Invitation Tool serves two purposes. First, it lets you pre-populate user profile pages with helpful information like their name, title, location, etc. Second, it makes it easy to send 1000s of invitations in minutes. ",
                "videoLink": "",
                "access": true,
                "default": false,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/bulkinvite.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 4,
                "renamed": null
            },
            {
                "id": "63b414cdd48e4ada0b08ef65",
                "index": 14,
                "name": "Branded Emails",
                "description": "It will give user an leverage to send branded emails",
                "videoLink": "",
                "access": true,
                "default": true,
                "image": "https://common-assets-networked.s3.us-east-2.amazonaws.com/featureIcons/brandedemail.svg",
                "image_white": "",
                "isAdvanced": true,
                "category": 4,
                "renamed": null
            }
        ]
    },
    "error": false,
    "message": "Operation completed successfully"
}
Modified at 2026-05-11 08:27:04
Previous
Features
Next
Directory
Built with